const mqtt = require('mqtt');
let mqttClient;

// 初始化MQTT客户端
mqttClient = mqtt.connect('mqtt://10.71.99.211:1883', {
    clientId: 'electron-mqtt-client',
    username: 'anning',
    password: '123456',
    clean: true
});

mqttClient.on('connect', () => {
    console.log('MQTT connected');
    // 可以在这里订阅主题
    mqttClient.subscribe('testtopic/total', (err) => {
        if (!err) {
            console.log('Subscribed to some/topic');
        }
    });

    // 设置发布的主题、消息及 QoS
    const qos = 0
    
    mqttClient.publish('testtopic/total', 'mqtt测试', { qos }, (error) => {
      if (error) {
        console.error(error)
      } else {
        console.error('===================')
        console.error(error)
      }
    })
});

mqttClient.on('message', (topic, message) => { // 处理接收到的消息
    console.log(`${topic}: ${message.toString()}`);
});

mqttClient.on('error', (err) => {
    console.error('error:', err);
});